Bug 535786 - (RHQ-2446) autodiscover SNMP address and port by parsing snmpd.conf when discovering Apache servers
autodiscover SNMP address and port by parsing snmpd.conf when discovering Apa...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: jon24-apache
  Show dependency treegraph
 
Reported: 2009-10-01 14:47 EDT by Ian Springer
Modified: 2013-09-03 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (146.08 KB, image/png)
2011-06-17 03:35 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Ian Springer 2009-10-01 14:47:00 EDT

    
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:36 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2446
Comment 2 Charles Crouch 2010-07-22 13:20:28 EDT
Deon, we should doc this as a known issue.
Comment 3 Deon Ballard 2010-07-22 14:21:31 EDT
Just to check, the issue is that the discovery process does *not* get the address and port from the .conf file?
Comment 4 Ian Springer 2010-07-22 15:49:51 EDT
Correct, the discovery always just sets the SNMP host property to "127.0.0.1" and the port property to "1610". If these are not the correct values, it's up to the user to update the connection properties via the Apache resource's Inventory>Connection tab in the GUI.
Comment 5 Deon Ballard 2010-08-02 12:50:13 EDT
This is in the known issues:
http://www.redhat.com/docs/en-US/JBoss_ON/2.4/Release_Notes/html-single/#inventory-issues
Comment 6 Lukas Krejci 2010-10-15 19:36:05 EDT
This has been implemented in master by commit 9bf39010bcf60ad0cd52876be3f1255329cf656e
Comment 7 Mike Foley 2011-04-26 13:12:22 EDT
Verifying that I am seeing the SNMP host property set to 127.0.0.1 and the port to 1610 for my Apache servers.
Comment 8 Lukas Krejci 2011-04-27 02:53:14 EDT
127.0.0.1 and 1610 are default values.

Please re-test this by changing the configuration in snmpd.conf to some non-standard values and running the discovery. The discovered values should of course correspond to the ones in the config file, not the default.
Comment 9 Mike Foley 2011-04-28 08:58:31 EDT
adding information on Apache SNMP installation and configuration .... for my own reference.

http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/Resource_Monitoring_and_Operations_Reference/Managed_Servers.html#Apache_SNMP_Configuration

...specifically step #8 on changing port
Comment 10 Sunil Kondkar 2011-06-17 03:34:07 EDT
Verified on build#140 (Version: 4.1.0-SNAPSHOT Build Number: 5905b70)

Modified the file /etc/httpd/conf/snmpd.conf with below line:

agentaddress 8161@10.65.193.104

Discovered apache resource. Navigated to the Inventory->Connection Settings tab of the apache resource and verified that the field 'SNMP Agent Host' displays value '10.65.193.104' and the field 'SNMP Agent Port' displays the value '8161'. Please refer the attached screenshot.

Marking as verified.
Comment 11 Sunil Kondkar 2011-06-17 03:35:04 EDT
Created attachment 505203 [details]
Screenshot
Comment 13 Heiko W. Rupp 2013-09-03 12:58:02 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.